GET /webhooks/{id}/deliveries

Newest deliveries of a webhook (at most 100)

GET
/webhooks/{id}/deliveries

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Webhook id

Query Parameters

status?string

Only this status

Value in"pending""sending""delivered""failed"
limit?integer

Maximum items (default 100, max 100)

Range1 <= value <= 100
Default100

Response Body

{deliveries}

application/json
  1. response
deliveries?array<>
Example Request
curl -X GET 'https://example.com/api/v1/webhooks/string/deliveries'
Example Response
{  "deliveries": [    {      "id": "string",      "webhookId": "string",      "event": "post.published",      "status": "pending",      "responseCode": 0,      "attempts": 0,      "nextAttemptAt": "2019-08-24T14:15:22Z",      "lastError": "string",      "deliveredAt": "2019-08-24T14:15:22Z",      "redeliveryOf": "string",      "idempotencyKey": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "payload": {}    }  ]}